Bug 171766 - IPv6 address other than starting with other than 001b generate 'invalid argument' error
IPv6 address other than starting with other than 001b generate 'invalid argum...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 22:03 EDT by mrname
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 03:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mrname 2005-10-25 22:03:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; FunWebProducts-MyWay; SV1)

Description of problem:
When I use a IPv6 gateway address starting with other than 001b, command 'ip' and 'route' generate 'invalid arguement' error.



Version-Release number of selected component (if applicable):
iproute-2.6.11-1

How reproducible:
Always

Steps to Reproduce:
1.ip -6 route add 10::a120/124 via 10::a111
2.
3.
  

Actual Results:  RTNETLINK answers : invalid argument

Expected Results:  a route table to subnet 10::a120/124 should be added

Additional info:

I know RFC3587 described prefix 001b is the unicast global address range assigned by IANA, and all other unicast address rage is 'unassigned'.
But 'unassigned' do not mean illegal. It's only administrative purpose.
Implentation should not get such restriction, I think.
Comment 1 Radek Vokal 2005-11-01 03:55:32 EST
I'm not quite convinced about validity of this requierement. I've reported your
issue to upstream, hopefully it will be fixed in next update.

Note You need to log in before you can comment on or make changes to this bug.